import { Target, VariantLabels } from "framer-motion";
interface IStates {
    initial?: VariantLabels | Target;
    animate: VariantLabels | Target;
}
/**
 * `useInViewAnimate` starts a specified animation when the element becomes visible
 *
 * @param variants - Motion Variants
 *
 * @returns inViewRef
 * @returns animationControls
 */
export declare const useInViewAnimate: ({ initial, animate }: IStates) => {
    inViewRef: (node?: Element | null | undefined) => void;
    animation: import("framer-motion").AnimationControls;
};
export {};
